Bug 1021080 - Review Request: php-horde-Horde-Socket-Client - Horde Socket Client
Review Request: php-horde-Horde-Socket-Client - Horde Socket Client
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Shawn Iwinski
Fedora Extras Quality Assurance
:
Depends On:
Blocks: Horde_Smtp
  Show dependency treegraph
 
Reported: 2013-10-19 03:47 EDT by Remi Collet
Modified: 2016-08-14 12:23 EDT (History)
3 users (show)

See Also:
Fixed In Version: php-horde-Horde-Socket-Client-1.1.0-1.el6
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2014-01-18 02:54:13 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
shawn: fedora‑review+
limburgher: fedora‑cvs+


Attachments (Terms of Use)
phpcompatinfo.log (7.51 KB, text/x-log)
2014-01-12 12:25 EST, Shawn Iwinski
no flags Details
fedora-review.txt (6.26 KB, text/plain)
2014-01-12 12:26 EST, Shawn Iwinski
no flags Details

  None (edit)
Description Remi Collet 2013-10-19 03:47:59 EDT
Spec URL: https://raw.github.com/remicollet/remirepo/5cac89e6e797f6653ab49d69352f1aceecd50d69/php/horde/php-horde-Horde-Socket-Client/php-horde-Horde-Socket-Client.spec
SRPM URL: http://rpms.famillecollet.com/SRPMS/php-horde-Horde-Socket-Client-1.0.0-1.remi.src.rpm
Description: 
Provides abstract class for use in creating PHP network socket clients.

Fedora Account System Username: remi
Comment 1 Remi Collet 2013-10-19 03:49:31 EDT
I prefer to keep CamelCase name as all the already approved packages in horde channel use it.

New dependency of Horde_Smtp
Comment 3 Shawn Iwinski 2014-01-12 12:25:51 EST
Created attachment 848957 [details]
phpcompatinfo.log

phpcompatinfo version 2.26.0
Comment 4 Shawn Iwinski 2014-01-12 12:26:22 EST
Created attachment 848958 [details]
fedora-review.txt

Generated by fedora-review 0.5.1 (bb9bf27) last change: 2013-12-13
Command line :/usr/bin/fedora-review --mock-config fedora-rawhide-x86_64 -b 1021080
Buildroot used: fedora-rawhide-x86_64
Active plugins: Generic, PHP, Shell-api
Disabled plugins: Java, C/C++, Python, fonts, SugarActivity, Ocaml, Perl, Haskell, R, Ruby
Disabled flags: EXARCH, EPEL5, BATCH, DISTTAG
Comment 5 Shawn Iwinski 2014-01-12 12:27:57 EST
[!]: Package does not run rm -rf %{buildroot} (or $RPM_BUILD_ROOT) at the
     beginning of %install.
     Note: rm -rf %{buildroot} present but not required
[!]: Each %files section contains %defattr if rpm < 4.4
     Note: %defattr present but not needed
[!]: Buildroot is not present
     Note: Buildroot: present but not needed
[!]: Package has no %clean section with rm -rf %{buildroot} (or
     $RPM_BUILD_ROOT)
     Note: %clean present but not required

Remove EPEL5 bits after initial import.


No blockers.


===== APPROVED =====
Comment 6 Remi Collet 2014-01-12 12:35:35 EST
New Package SCM Request
=======================
Package Name: php-horde-Horde-Socket-Client
Short Description: Horde Socket Client
Owners: remi
Branches: f20 el6 epel7
InitialCC:
Comment 7 Gwyn Ciesla 2014-01-13 08:33:52 EST
Git done (by process-git-requests).
Comment 8 Fedora Update System 2014-01-13 10:05:18 EST
php-horde-Horde-Socket-Client-1.1.0-1.fc20 has been submitted as an update for Fedora 20.
https://admin.fedoraproject.org/updates/php-horde-Horde-Socket-Client-1.1.0-1.fc20
Comment 9 Fedora Update System 2014-01-13 10:05:36 EST
php-horde-Horde-Socket-Client-1.1.0-1.el6 has been submitted as an update for Fedora EPEL 6.
https://admin.fedoraproject.org/updates/php-horde-Horde-Socket-Client-1.1.0-1.el6
Comment 10 Fedora Update System 2014-01-13 15:09:03 EST
php-horde-Horde-Socket-Client-1.1.0-1.el6 has been pushed to the Fedora EPEL 6 testing repository.
Comment 11 Fedora Update System 2014-01-21 22:13:05 EST
php-horde-Horde-Socket-Client-1.1.0-1.fc20 has been pushed to the Fedora 20 stable repository.
Comment 12 Fedora Update System 2014-01-28 16:07:00 EST
php-horde-Horde-Socket-Client-1.1.0-1.el6 has been pushed to the Fedora EPEL 6 stable repository.

Note You need to log in before you can comment on or make changes to this bug.